EDIT - bug #8959

Moving a synonym to the homotypical group of the accepted taxon opens the context menu of the
accepted taxon

04/20/2020 12:16 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: major Found in Version:

Description

To reproduce:

e open a taxon which has a heterotypic synonym
¢ move this synonym to the homotypic group of the accepted taxon
¢ right click on the now homotpyic synonym
Related issues:
Has duplicate EDIT - bug #8593: Name editor: wrong context menu for synonyms Duplicate

Associated revisions

Revision 764151af - 04/21/2020 09:45 AM - Katja Luther

fix #8959: set focus to synonym after moving synonym to other homotypic group

Revision 9d01ebe7 - 06/19/2020 11:37 AM - Katja Luther

fix #8959: fix correct focus after move syn

History

#1 - 04/21/2020 09:44 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|764151afe45bda26527cd591324959cae397eb70.

#2 - 04/21/2020 09:57 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Now the focus is set explicitly to the moved synonym, so the context menu should be correct. please review

#3 - 04/21/2020 10:20 AM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/764151afe45bda26527cd591324959cae397eb70

| did not review yet (editor is still building) but forgot to mention in the description that also removing a synonym from the homotypical group of the
accepted taxon changes the menu of remaining homotypic synonym in a way that they seem to be heterotypic. Is this also expected to be fixed?

#4 - 04/21/2020 10:36 AM - Katja Luther

Andreas Muller wrote:

| did not review yet (editor is still building) but forgot to mention in the description that also removing a synonym from the homotypical group of
the accepted taxon changes the menu of remaining homotypic synonym in a way that they seem to be heterotypic. Is this also expected to be
fixed?

Yes, | think this should be fixed also.

#5 - 06/03/2020 11:15 PM - Andreas Miiller
- Assignee changed from Andreas Miiller to Katja Luther

- Severity changed from critical to major

The problem still exists if you directly click on the moved synonym. If you click on another name and back again the correct menu appears.
This is the same when moving a synonym into the homotypic group (of the accepted taxon) and when moving it out.

#6 - 06/08/2020 10:47 AM - Andreas Mdller

- Status changed from Resolved to Feedback

#7 - 06/08/2020 01:56 PM - Katja Luther

| can't reproduce it when starting from workspce, | will try it again with nightly build.

#8 - 06/16/2020 11:14 AM - Andreas Miiller

Did you try again? If not please pass the ticket back to me and | will try again.

#9 - 06/16/2020 11:16 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

| tried an hour ago, but the test server was not available.

#10 - 06/16/2020 11:38 AM - Andreas Muller

- Assignee changed from Andreas Miiller to Katja Luther

Now the test server is up again. Can you please try again?

#11 - 06/16/2020 11:52 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Katja Luther wrote:

| tried an hour ago, but the test server was not available.

| can't reproduce it with the nightly build.

#12 - 06/16/2020 07:15 PM - Andreas Miiller
- File picture836-1.png added

Strange, the problem still exists for me:
#13 - 06/16/2020 07:24 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther
What | did in rem_conf_am:
e Open taxon "Test" in classification "Testklass"
* Move heterotypic synonym Hetero syn Mill. to homotypic group of accepted taxon

e Wait until everything is fully layouted
e right click on the "Hetero syn Mill." => the above context menu appears

#14 - 06/16/2020 07:25 PM - Andreas Miiller

Andreas K., can you also check if you can reproduce this?

#15 - 06/16/2020 07:28 PM - Andreas Miiller

Andreas Muller wrote:

The problem still exists if you directly click on the moved synonym. If you click on another name and back again the correct menu appears.
This is the same when moving a synonym into the homotypic group (of the accepted taxon) and when moving it out.

When moving out | can not reproduce this anymore. The problem exists only when moving the synonym from a heterotypic group to the homotypic
group.

#16 - 06/18/2020 08:56 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Kohlbecker
Andreas K., can you also check if you can reproduce this?

#17 - 06/18/2020 01:57 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Katja Luther
Katja Luther wrote:

Andreas K., can you also check if you can reproduce this?
Yes, this is reliably reproducible.

#18 - 06/18/2020 01:58 PM - Andreas Kohlbecker

- Related to bug #8593: Name editor: wrong context menu for synonyms added

#19 - 06/18/2020 01:59 PM - Andreas Kohlbecker
I linked a tightly related issue: #8593

#20 - 06/19/2020 11:35 AM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|9d01ebe78d471b0203107cc8ebaac5ead4fib2ee.
https://dev.e-taxonomy.eu/redmine/issues/8593
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/9d01ebe78d471b0203107cc8ebaac5ead4f1b2ee

#21 - 06/19/2020 11:50 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Katja Luther wrote:

Applied in changeset taxeditor|9d01ebe78d471b0203107cc8ebaac5ead4fib2ee.

this should be fixed now, please review.

#22 - 06/19/2020 02:29 PM - Katja Luther

- Related to deleted (bug #8593: Name editor: wrong context menu for synonyms)

#23 - 06/19/2020 02:30 PM - Katja Luther

- Has duplicate bug #8593: Name editor: wrong context menu for synonyms added

#24 - 06/20/2020 09:23 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

Now it seems to work as expected

Files
